Note
Groups and projects are synonymous terms. Your {PROJECT-ID} is the same as your project ID. For existing groups, your group/project ID remains the same. This page uses the more familiar term group when referring to descriptions. The endpoint remains as stated in the document.
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
Syntax
GET /api/public/v1.0/groups/{PROJECT-ID}/integrations
Request Path Parameters
Parameter | Necessity | Description |
|---|---|---|
| Required | Project identifier. |
Request Query Parameters
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pageNum | number | Optional | One-based integer that returns a subsection of results. |
|
itemsPerPage | number | Optional | Number of items to return per page, up to a maximum of 500. |
|
pretty | boolean | Optional | Flag that indicates whether the response body should be in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether or not to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set For endpoints that return a list of results, the |
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response Elements
The response includes a results array which lists all third-party integration configurations for the project as objects, and a totalCount of the services integrated with the project.
Each third-party integration configuration object includes a type property equal to its own integration type (e.g. "type": "PAGER_DUTY" for the PagerDuty service). Additionally, each third-party service configuration object provides details specific to that service. The following lists the properties returned for each third-party service configuration object:
PagerDuty
A returned PagerDuty integration configuration object contains the following fields:
Property | Description |
|---|---|
|
|
| Your Service Key. After you create a third-party integration that requires an API or integration key, the key appears partially redacted when you:
|
Slack
A returned Slack integration configuration object contains the following fields:
Property | Description |
|---|---|
|
|
| Your API Token. After you create a third-party integration that requires an API or integration key, the key appears partially redacted when you:
|
| Your team name. This field may not be present with a legacy Slack integration. |
| The configured Slack channel name. An empty string if the value is not set. |
Datadog
A returned Datadog integration configuration object contains the following fields:
Property | Description |
|---|---|
|
|
| Your API Key. After you create a third-party integration that requires an API or integration key, the key appears partially redacted when you:
|
HipChat
A returned HipChat integration configuration object contains the following fields:
Property | Description |
|---|---|
|
|
| Notification token for your HipChat user account. After you create a third-party integration that requires an API or integration key, the key appears partially redacted when you:
|
| Your HipChat room name. |
Opsgenie
A returned Opsgenie integration configuration object contains the following fields:
Property | Description |
|---|---|
|
|
| Your API Key. After you create a third-party integration that requires an API or integration key, the key appears partially redacted when you:
|
| Indicates which API URL to use, either |
To set region to EU, you must set a custom setting of opsgenie.api.url.
VictorOps
A returned VictorOps integration configuration object contains the following fields:
Property | Description |
|---|---|
|
|
| Your API Key. After you create a third-party integration that requires an API or integration key, the key appears partially redacted when you:
|
| Conditional. Only returned if you have a Routing Key configured. |
Webhook Settings
A returned webhook configuration object contains the following fields:
Property | Description |
|---|---|
|
|
| Your webhook URL. After creating a webhook notification, the URL is partially redacted when you view or edit the alert, and the secret is completely redacted. |
| Conditional. Only returned if your webhook is configured with a secret. |
| OAuth 2.0 client credentials that Ops Manager uses to obtain a bearer access token for webhook notifications. Only returned if your webhook is configured with OAuth 2.0 client credentials. |
| Token endpoint that Ops Manager calls to obtain a bearer access token. |
| Client identifier that Ops Manager uses when authenticating to the OAuth 2.0 token endpoint. |
| Client secret that Ops Manager uses with the client ID when authenticating to the OAuth 2.0 token endpoint. |
Microsoft Teams
A returned Microsoft Teams configuration object will contain the following fields:
Property | Description |
|---|---|
|
|
| Your Microsoft Teams incoming webhook URL. When you view or edit the alert for a webhook notification, the URL appears partially redacted, and the secret appears completely redacted. |
Prometheus
A returned Prometheus configuration object will contain the following fields:
Property | Description |
|---|---|
|
|
| Your Prometheus username. |
| The IP address and port your Prometheus instance will reach out to. |
| Indicates which service discovery method is used, either |
| Your Prometheus protocol scheme configured for requests, either |
| Whether your cluster has Prometheus enabled. |
| Conditional. Only returned if you have a password for your PEM file. |
| Conditional. Only returned if you have an absolute path to your PEM file. |
Example Request
1 curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ 2 --header "Accept: application/json" \ 3 --include \ 4 --request GET "https://cloud.mongodb.com/api/public/v1.0/groups/{PROJECT-ID}/integrations"
Example Response
1 { 2 "links": [ 3 { 4 "href": "https://cloud.mongodb.com/api/public/v1.0/groups/{PROJECT-ID}/integrations?pageNum=1&itemsPerPage=100", 5 "rel": "self" 6 } 7 ], 8 "results": [ 9 { 10 "serviceKey": "******7890", 11 "type": "PAGER_DUTY" 12 }, 13 { 14 "apiToken": "******7890", 15 "channelName": "My Channel", 16 "teamName": "My Team", 17 "type": "SLACK" 18 }, 19 ], 20 "totalCount": 2 21 }